"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.json5SchemaLinter = void 0;
const validation_1 = require("../features/validation");
const parse_json5_document_1 = require("../utils/parse-json5-document");
const constants_1 = require("../constants");
/**
 * Instantiates a JSONValidation instance with the JSON5 mode
 * @group Codemirror Extensions
 */
function json5SchemaLinter(options) {
    const validation = new validation_1.JSONValidation(Object.assign({ jsonParser: parse_json5_document_1.parseJSON5DocumentState, mode: constants_1.MODES.JSON5 }, options));
    return (view) => {
        return validation.doValidation(view);
    };
}
exports.json5SchemaLinter = json5SchemaLinter;
