"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.renderMarkdown = void 0;
const markdown_it_1 = __importDefault(require("markdown-it"));
const markdown_it_2 = __importDefault(require("@shikijs/markdown-it"));
// const defaultPlugins = [
//   "markdown-it-abbr",
//   "markdown-it-deflist",
//   "markdown-it-emoji",
//   "markdown-it-footnote",
//   "markdown-it-ins",
//   "markdown-it-mark",
//   "markdown-it-sub",
//   "markdown-it-sup",
//   "markdown-it-task-lists",
//   "markdown-it-toc",
//   "markdown-it-attrs",
//   "markdown-it-katex",
//   "markdown-it-external-links",
//   "markdown-it-table-of-contents",
//   "markdown-it-anchor",
//   "markdown-it-implicit-figures",
//   "markdown-it-video",
//   "markdown-it-highlightjs",
// ];
const renderer = (0, markdown_it_1.default)({
    linkify: true,
    typographer: true,
});
(async () => {
    const shikiRenderer = await (0, markdown_it_2.default)({
        themes: {
            light: "vitesse-light",
            dark: "vitesse-dark",
        },
    });
    renderer.use(shikiRenderer);
})();
function renderMarkdown(markdown, inline = true) {
    if (!inline)
        return renderer.render(markdown);
    return renderer.renderInline(markdown);
}
exports.renderMarkdown = renderMarkdown;
