"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.yamlSchema = void 0;
const lang_yaml_1 = require("@codemirror/lang-yaml");
const view_1 = require("@codemirror/view");
const validation_1 = require("../features/validation");
const state_1 = require("../features/state");
const lint_1 = require("@codemirror/lint");
const validation_2 = require("./validation");
const completion_1 = require("./completion");
const hover_1 = require("./hover");
/**
 * Full featured cm6 extension for json, including `@codemirror/lang-json`
 * @group Bundled Codemirror Extensions
 */
function yamlSchema(schema) {
    return [
        (0, lang_yaml_1.yaml)(),
        (0, lint_1.linter)((0, validation_2.yamlSchemaLinter)(), {
            needsRefresh: validation_1.handleRefresh,
        }),
        lang_yaml_1.yamlLanguage.data.of({
            autocomplete: (0, completion_1.yamlCompletion)(),
        }),
        (0, view_1.hoverTooltip)((0, hover_1.yamlSchemaHover)()),
        (0, state_1.stateExtensions)(schema),
    ];
}
exports.yamlSchema = yamlSchema;
