import { CompletionContext, CompletionResult } from "@codemirror/autocomplete";
import { JSONMode } from "../types";
export interface JSONCompletionOptions {
    mode?: JSONMode;
}
export declare class JSONCompletion {
    private opts;
    private schema;
    private mode;
    constructor(opts: JSONCompletionOptions);
    doComplete(ctx: CompletionContext): CompletionResult | never[];
    private applySnippetCompletion;
    private getPropertyCompletions;
    private getInsertTextForProperty;
    private getInsertTextForPropertyName;
    private getInsertTextForString;
    private getInsertTextForGuessedValue;
    private getInsertTextForPlainText;
    private getInsertTextForValue;
    private getValueCompletions;
    private addSchemaValueCompletions;
    private addDefaultValueCompletions;
    private addEnumValueCompletions;
    private addBooleanValueCompletion;
    private addNullValueCompletion;
    private collectTypes;
    private getSchemas;
    private expandSchemaProperty;
    private getReferenceSchema;
    private getAppliedValue;
    private getValueFromLabel;
    private extendedRegExp;
}
/**
 * provides a JSON schema enabled autocomplete extension for codemirror
 * @group Codemirror Extensions
 */
export declare function jsonCompletion(opts?: JSONCompletionOptions): (ctx: CompletionContext) => CompletionResult | never[];
