import { JSONValidation, } from "../features/validation";
import { parseJSON5DocumentState } from "../utils/parse-json5-document";
import { MODES } from "../constants";
/**
 * Instantiates a JSONValidation instance with the JSON5 mode
 * @group Codemirror Extensions
 */
export function json5SchemaLinter(options) {
    const validation = new JSONValidation(Object.assign({ jsonParser: parseJSON5DocumentState, mode: MODES.JSON5 }, options));
    return (view) => {
        return validation.doValidation(view);
    };
}
